/*******************************************************************************
 * ProcBuildingRuleset generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class ProcBuildingRuleset extends Object
    native(ProcBuilding)
    hidecategories(Object);

enum EProcBuildingAxis
{
    EPBAxis_X,
    EPBAxis_Z,
    EPBAxis_MAX
};

struct native PBVariationInfo
{
    var() name VariationName;
    var() bool bMeshOnTopOfFacePoly;

    structdefaultproperties
    {
        VariationName=None
        bMeshOnTopOfFacePoly=false
    }
};

struct native PBParamSwatch
{
    var() name SwatchName;
    var() array<PBMaterialParam> Params;

    structdefaultproperties
    {
        SwatchName=None
        Params=none
    }
};

var export editinline PBRuleNodeBase RootRule;
var editoronly transient bool bBeingEdited;
var(LOD) bool bEnableInteriorTexture;
var(LOD) bool bLODOnlyRoof;
var() bool bPickRandomSwatch;
var(Roof) MaterialInterface DefaultRoofMaterial;
var(Floor) MaterialInterface DefaultFloorMaterial;
var() MaterialInterface DefaultNonRectWallMaterial;
var(Roof) float RoofZOffset;
var(Roof) float NotRoofZOffset;
var(Floor) float FloorZOffset;
var(Floor) float NotFloorZOffset;
var(Roof) float RoofPolyInset;
var(Floor) float FloorPolyInset;
var(LOD) float BuildingLODSpecular;
var(Roof) float RoofEdgeScopeRaise;
var(LOD) Texture LODCubemap;
var(LOD) Texture InteriorTexture;
var() array<PBVariationInfo> Variations;
var() array<PBParamSwatch> ParamSwatches;
var editoronly array<editoronly PBRuleNodeComment> Comments;

defaultproperties
{
    bEnableInteriorTexture=true
    BuildingLODSpecular=2.0
}